Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 229133

Summary: Problem with PPC on the buildsys
Product: [Fedora] Fedora Reporter: Paul F. Johnson <paul>
Component: monoAssignee: Xavier Lamien <lxtnow>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 11CC: chris.brown
Target Milestone: ---   
Target Release: ---   
Hardware: powerpc   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-29 22:00:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 434700    

Description Paul F. Johnson 2007-02-18 01:03:19 UTC
Description of problem:
Compilation of some mono apps on the buildsys fail under PPC

Version-Release number of selected component (if applicable):
1.1.17 and 1.2.3

How reproducible:
Depends on the package.

Steps to Reproduce:
Check the buildlogs for boo:

http://buildsys.fedoraproject.org/logs/fedora-6-extras/27755-boo-0.7.6.2237-13.fc6/
http://buildsys.fedoraproject.org/logs/fedora-development-extras/27756-boo-0.7.6.2237-13.fc7/

(both in the PPC directories)
  
Actual results:
PPC build fails, versions don't get shipped, people scream for blood...

Expected results:
Everything in the universe is nice, warm and cuddly and the buildsys works!

Additional info:
Both build fine on x86 on the buildsys

Comment 1 Alexander Larsson 2007-02-19 09:00:34 UTC
Is it repeatable? If so, someone should be able to find it. I'm a bit busy with
other stuff atm. Maybe upstream knows something about it.

It might be a NAnt bug, both crashes seem to be nant calling into some native code.

Comment 2 Paul F. Johnson 2007-02-20 01:01:42 UTC
Nope - mono bug

http://buildsys.fedoraproject.org/logs/fedora-6-extras/27860-nant-0.85-11.fc6/

Fails to build

Comment 3 Alexander Larsson 2007-02-20 08:43:12 UTC
I'm not saying you're wrong, it could clearly be a mono bug too, but as it says:
=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
And then a backtrace showing the main function of NAnt calling into some native
code. It could clearly be a nant bug. Gotta figure out what native code its calling.

Comment 4 Bug Zapper 2008-05-14 02:37:43 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Christopher Brown 2009-05-03 01:51:45 UTC
Any chance this can be re-visited? This is now blocking log4net on ppc64 for me...

Comment 6 Bug Zapper 2009-06-09 09:13:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Christopher Brown 2009-11-29 22:00:28 UTC
This has now been built under all archs on 11 and 12. PPC/PPC64 is secondary for 13 onwards so closing this.